Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.servlets.controls.portlet
Class JavaPortletPresentationContext

    java.lang.Object
      |
      +--com.bea.netuix.servlets.controls.ControlContext
            |
            +--com.bea.netuix.servlets.controls.PresentationContext
                  |
                  +--com.bea.netuix.servlets.controls.window.WindowPresentationContext
                        |
                        +--com.bea.netuix.servlets.controls.portlet.PortletPresentationContext
                              |
                              +--com.bea.netuix.servlets.controls.portlet.JavaPortletPresentationContext

All Implemented Interfaces:
  Serializable

public class JavaPortletPresentationContext
extends PortletPresentationContext

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.bea.netuix.servlets.controls.ControlContext
`debug`

Constructor Summary
`JavaPortletPresentationContext(JavaPortlet control)`

Method Summary
`String` | `getContentPresentationClass()` Get the content's `div class` attribute value.
`protected void` | `setContentPresentationStyle(String contentPresentationStyle)`

Methods inherited from class com.bea.netuix.servlets.controls.portlet.PortletPresentationContext
`getInstanceLabel, getLabel, getPortletPresentationContext, getPortletUri, getPreferences, isDefaultMinimized`

Methods inherited from class com.bea.netuix.servlets.controls.window.WindowPresentationContext
`getContentPresentationContextChildren, getDefinitionId, getDefinitionLabel, getInstanceId, getOrientation, getParentPagePresentationContext, getTitle, getWindowMode, getWindowPresentationContext, getWindowState, isCapable, isPacked`

Methods inherited from class com.bea.netuix.servlets.controls.PresentationContext
`getChildren, getChildren, getControlState, getFirstChild, getParsedProperties, getPresentationClass, getPresentationId, getPresentationStyle, getProperties, getProperty, getProperty, getPropertyAsBoolean, getPropertyAsInt, getResolvedLocale, getTagName, isVisible, render, setVisible`

Methods inherited from class com.bea.netuix.servlets.controls.ControlContext
`getContextFromRequest, getControl, getRequestKey, getUniqueId, removeContextFromRequest, setContextInRequest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JavaPortletPresentationContext

    public JavaPortletPresentationContext(JavaPortlet control)

Method Detail

### setContentPresentationStyle

    protected void setContentPresentationStyle(String contentPresentationStyle)

### getContentPresentationClass

    public String getContentPresentationClass()

  Description copied from class: `WindowPresentationContext`
  Get the content's `div class` attribute value. This class value will only effect the content of the window.

  Overrides:
    `getContentPresentationClass` in class `WindowPresentationContext`
  Returns:
    class attribute value

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved